<template>
  <CHeader class="d-flex justify-content-between">
    <CToggler
      in-header
      class="ml-3 d-lg-none"
      @click="$store.commit('toggleSidebarMobile')"
    />
    <CToggler
      in-header
      class="ml-3 d-md-down-none"
      @click="$store.commit('toggleSidebarDesktop')"
    />
    <CHeaderNav>
      <CButton
        color="primary"
        class="mr-3"
        @click="logout"
      >
        Выйти
      </CButton>
    </CHeaderNav>
  </CHeader>
</template>

<script>

export default {
  name: 'TheHeader',
  methods:{
    logout(){
      this.$store.dispatch('logout')
    }
  }
}
</script>
